Bug 694274 - PIV Certificates not displayed
Summary: PIV Certificates not displayed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: opensc
Version: el5
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-06 20:40 UTC by David Mueller
Modified: 2011-04-26 16:27 UTC (History)
1 user (show)

Fixed In Version: opensc-0.12.0-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-26 16:27:12 UTC


Attachments (Terms of Use)

Description David Mueller 2011-04-06 20:40:45 UTC
Description of problem:
Certificates on PIV cards are not displayed. Certificates on PIV card cannot be used to autehnticate to web servers that require client certificate authentication.

Version-Release number of selected component (if applicable):
opensc-0.11.13-6.el5

How reproducible:
Always

Steps to Reproduce:
1. Configure Firefox to use OpenSC
2. Insert PIV card
3. Click to view certificates
  
Actual results:
No certificates shown on Your Certificates tab

Expected results:
Certificates shown on Your Certificates tab

Additional info:
This bug was previously reported to OpenSC https://www.opensc-project.org/opensc/ticket/253 and was fixed in the 0.12.0 release. Recommended fix is to upgrade the version of OpenSC in EPEL for EL5 to 0.12.0. EPEL for EL6 already has this version.

Comment 1 Fedora Update System 2011-04-07 11:26:50 UTC
opensc-0.12.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/opensc-0.12.0-2.el5

Comment 2 Fedora Update System 2011-04-07 15:52:14 UTC
Package opensc-0.12.0-2.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing opensc-0.12.0-2.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/opensc-0.12.0-2.el5
then log in and leave karma (feedback).

Comment 3 David Mueller 2011-04-07 16:12:57 UTC
Worked for me on CentOS 5.5 x86_64. Feedback left anonymously; I don't have a Fedora account.

Comment 4 Fedora Update System 2011-04-26 16:27:07 UTC
opensc-0.12.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.